#!/bin/sh

# Licensed Materials - Property of IBM
# 5724-L01, 5724-I82, 5655-N53, 5655-R15, 5724-I66, 5655-FLW
# COPYRIGHT IBM Corporation 2012. All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

cd `dirname ${0}`

# count file location 
countLoc=$1
echo ${countLoc}

# count file key/value
# key, package id
# value, name of shortcut folder under IBM
key=$2
value=$3
echo input param: ${countLoc} ${key} ${value}

imRegDat=/etc/.ibm/registry/InstallationManager.dat
imdataln=`grep 'appDataLocation' ${imRegDat}`
imdata=${imdataln##*=}

echo imdataln = ${imdataln}
echo imdata = ${imdata}

output() {
   if [ $* = 0 ]; then
      echo ${key}=${value}>> ${countLoc}/count.properties
	  echo installedPackageCount=>> ${countLoc}/count.properties
   else
      echo ${key}=${value}_${*}>> ${countLoc}/count.properties
	  echo installedPackageCount=_${*}>> ${countLoc}/count.properties
   fi
   echo count = $* 
    
}

# expected count file full path
cd ${imdata}
mkdir shortcut_tmp
file=${imdata}/shortcut_tmp/${value}
echo filename ${file}

rm -f ${countLoc}/count.properties
echo ${imdataln}>${countLoc}/count.properties

# seach how many package installed

n=`grep -wc ${key} ${imdata}/installed.xml`
echo installed package ${n}

if [ ${n} = 0 ]; then
	output ${n}
else

  for i in 0 `seq ${n}`
	do
	if [ $i != 0 ]; then
    	file=${imdata}/shortcut_tmp/${value}_${i}
		echo ${file}
  	fi
	if [ ! -f "${file}" ]; then
		echo ${file} 'is not exist'
		output ${i}
		break
  	fi
  done
                                           
fi